<?php require_once('../../Connections/cn.php'); ?>
<?php 
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr); 

$sede=$_GET['sede'];
$mencion=$_GET['mencion'];
$turno=$_GET['turno'];
$semestre=$_GET['semestre'];
$carrera=$_GET['carrera'];
$codigo=$_GET['codigo'];

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
mysql_query ("SET NAMES 'utf8'");

//Datos de la Sede
$nombre_sede="TODAS";
if($sede!=0){
   $sql2 = "select * from sedes where codigo='$sede'";
   $rs2=mysql_query($sql2,$cn);
   $row2=mysql_fetch_array($rs2);
   $nombre_sede=$row2['nombre_sede'];
}

$nombre_semestre="TODOS";
if($semestre!="0") $nombre_semestre=$semestre;

$nombre_mencion="TODAS";
if($mencion=="COMUN")$nombre_mencion="COMPONENTE GENERAL";  
if($mencion=="ACE") $nombre_mencion="ADUANAS Y COMERCIO EXTERIOR";
if($mencion=="RT") $nombre_mencion="RENTAS";
if($mencion=="FIN") $nombre_mencion="FINANZAS PÚBLICAS";

$nombre_turno="TODOS";
if($turno=="1")$nombre_turno="MATUTINO";  
if($turno=="2") $nombre_turno="VESPERTINO";
if($turno=="4") $nombre_turno="NOCTURNO";



// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];


// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('letter','portraid'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(558,17,7,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);

$query = "SELECT 
nombre_materia, semestre
FROM oferta_intensivos WHERE codigo='$codigo'";
 

$result = mysql_query ($query,$cn) or die (mysql_error()); 
$row = mysql_fetch_row($result);
    $nombre_materia = $row[0];    // cedula 
	 $semestre = $row[1];    // cedula 

// Se obtienen los datos del docente que dict� la materia.

$query = "SELECT 
oferta_intensivo_pre.codigo, 
oferta_intensivo_pre.nombre_materia,
oferta_intensivo_pre.mencion,
oferta_intensivo_pre.semestre,
alumnos.cedula,
alumnos.apellidos,
alumnos.nombres 
FROM oferta_intensivo_pre, alumnos WHERE oferta_intensivo_pre.id_alumno=alumnos.id_alumno and codigo='$codigo' and oferta_intensivo_pre.sede='$sede' and oferta_intensivo_pre.turno='$turno'";
 

$query=$query." order by alumnos.apellidos,alumnos.nombres";
//$query=$query. " ORDER BY convert(alumnos.cedula,signed)";

//echo $query;
// Ejecuta el Query.

$result = mysql_query ($query,$cn) or die (mysql_error()); 
//$rstHistorico = mysql_fetch_assoc($result);
// Numero de Filas.
$totalRows = mysql_num_rows($result);
// Se obtienen los datos del docente que dict� la materia.


// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'."ESTUDIANTES PRE-INSCRITOS".'</b>',12,array('justification'=>'center'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'."(SEMESTRE INTENSIVO 2018)".'</b>',10,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText('<b>'."            CARRERA: ".'</b>'." LICENCIATURA EN CIENCIAS FISCALES   ".'<b>'."      PENSUM: ".'</b>'."6",9,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'.utf8_decode("            MENCIÓN: ").'</b>'.utf8_decode($nombre_mencion).'<b>'."   SEDE: ".'</b>'.utf8_decode($nombre_sede).'<b>'."   TURNO: ".'</b>'.utf8_decode($nombre_turno),9,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText('<b>'.utf8_decode("            UNIDAD CURRICULAR: ").'</b>'.utf8_decode($nombre_materia).'<b>'."   SEMESTRE: ".'</b>'.utf8_decode($semestre).'<b>'."   PRE-INSCRITOS: ".'</b>'.number_format($totalRows,0,"","."),9,array('justification'=>'left'));



// Fin del Encabezado.
// Inicio del Pie de P�gina.
//pie_pagina($pdf, $cedula_docente, $nom_docente);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.8,2,3.5,2.5);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla 
$cols = array('nro'=>'<b>'.'Nro.'.'</b>', 
			  'cedula'=>'<b>'.utf8_decode('CÉDULA').'</b>', 
              'apellidos'=>'<b>'.utf8_decode('APELLIDOS ').'</b>',
			  'nombres'=>'<b>'.utf8_decode('NOMBRES ').'</b>'); 
$smc = 0; 
// Convierte la Nota a Letras.
$nota = new numerosALetras;

while ($row = mysql_fetch_row($result)) { 
    $cedula = $row[4];    // cedula 
    $apellidos  = $row[5];
	$nombres = $row[6];
	   
    
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
    $data[] = array('nro'=>$smc,
	                'cedula'=>number_format($cedula,0,",","."), 
                    'apellidos'=>utf8_decode($apellidos),
					'nombres'=>utf8_decode($nombres)); 
} 
					
$pdf->ezTable($data,$cols,'',array('width'=>'500','fontSize'=>10, 
'cols'=>array('nro'=>array('justification'=>'center') 
			 ,'cedula'=>array('justification'=>'center')
			 ,'preinscritos'=>array('justification'=>'right')) 
));// salida 
$pdf->ezsetdy(-3);
$pdf->ezText(utf8_decode("<b>"."FECHA DE IMPRESIÓN: "."</b>").date("d/m/Y"),9,array('justification'=>'right'));
if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 
$pdf->ezText(utf8_decode("<b>"."    FECHA: "."</b>").date("d/m/Y"),9,array('justification'=>'right'));

?> 